Update Webhook
curl --request PATCH \
--url https://api.topsort.com/public/v1/webhooks/webhooks/{webhook_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"secret": "t948Lf__j1WNwcAxZpsz8Q"
}
'import requests
url = "https://api.topsort.com/public/v1/webhooks/webhooks/{webhook_id}"
payload = {
"url": "<string>",
"secret": "t948Lf__j1WNwcAxZpsz8Q"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>', secret: 't948Lf__j1WNwcAxZpsz8Q'})
};
fetch('https://api.topsort.com/public/v1/webhooks/webhooks/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"channel": "campaign:create",
"secret": "<string>",
"disabledAt": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Webhooks API
Update Webhook
Updates a webhook.
PATCH
/
public
/
v1
/
webhooks
/
webhooks
/
{webhook_id}
Update Webhook
Autorizações
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Parâmetros de caminho
Id of the webhook.
Corpo
application/json
The URL to send the webhook event to.
Required string length:
1 - 2083The channel that triggers this webhook.
Opções disponíveis:
campaign:create, campaign:update, campaign:delete, catalog:feed:download:finish, store:availability:download:finish, catalog:feed:upload:late, full:availability:upload:late, delta:availability:upload:late Webhook secret to be used in signature generation.
Maximum string length:
32Exemplo:
"t948Lf__j1WNwcAxZpsz8Q"
Resposta
Successful Response
Id of the webhook.
The marketplace ID.
The URL to send the webhook event to.
Required string length:
1 - 2083The channel that triggers this webhook.
Opções disponíveis:
campaign:create, campaign:update, campaign:delete, catalog:feed:download:finish, store:availability:download:finish, catalog:feed:upload:late, full:availability:upload:late, delta:availability:upload:late, billing:wallet:exhausted Webhook secret to be used in signature generation.
When set, the webhook is disabled and will not receive events.
Esta página foi útil?